## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         reponame        azure-uamqp-python
%global         srcname         uamqp

# Upstream doesn't tag/release consistently.
%global         commit          e506d70252bf5838045d7754829bada85428792e

Name:           python-%{srcname}
Version:        1.6.5
Release:        %autorelease
Summary:        AMQP 1.0 client library for Python

License:        MIT
URL:            https://github.com/Azure/azure-uamqp-python/
Source0:        %{url}/archive/%{commit}/%{srcname}-%{version}.tar.gz

# Still waiting on full OpenSSL 3.x support.
# https://github.com/Azure/azure-uamqp-python/issues/276
Patch0:         0001-Strip-Werror-from-compile.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)

%if %{with tests}
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(six)
%endif

%global         _description %{expand:An AMQP 1.0 client library for Python.}

%description
%{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%py_provides python3-%{srcname}

%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -p1 -n %{reponame}-%{commit}

# Remove unexpected cmake requirement from python requirements list.
sed -i '/cmake/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files uamqp


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc HISTORY.rst README.rst


%changelog
* Thu Jul 13 2023 Major Hayden <major@redhat.com> - 1.6.5-1
- Update to 1.6.5 rhbz#2222430

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.6.4-2
- Rebuilt for Python 3.12

* Tue Mar 28 2023 Major Hayden <major@redhat.com> - 1.6.4-1
- Update to 1.6.4 rhbz#2119602

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 09 2022 Major Hayden <major@redhat.com> - 1.6.0-1
- Update to 1.6.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 18 2022 Miro Hrončok <miro@hroncok.cz> - 1.5.3-3
- Build with OpenSSL 3

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.5.3-2
- Rebuilt for Python 3.11

* Thu Mar 24 2022 Major Hayden <major@mhtx.net> - 1.5.3-1
- Update to 1.5.3

* Wed Mar 16 2022 Major Hayden <major@mhtx.net> - 1.5.2-1
- Update to 1.5.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Major Hayden <major@mhtx.net> - 1.5.1-1
- Update to 1.5.1

* Wed Jan 05 2022 Major Hayden <major@mhtx.net> - 1.5.0-1
- Update to 1.5.0

* Mon Oct 11 2021 Major Hayden <major@mhtx.net> - 1.4.3-1
- Update to 1.4.3

* Wed Sep 29 2021 Major Hayden <major@mhtx.net> - 1.4.2-3
- Keep using openssl 1.1 until upstream bug fixed

* Wed Sep 29 2021 Major Hayden <major@mhtx.net> - 1.4.2-2
- Fix tests

* Wed Sep 29 2021 Major Hayden <major@mhtx.net> - 1.4.2-1
- Update to 1.4.2

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.4.1-4
- Rebuilt with OpenSSL 3.0.0

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 13 2021 Major Hayden <major@mhtx.net> - 1.4.1-2
- Add new sources for 1.4.1

* Tue Jul 13 2021 Major Hayden <major@mhtx.net> - 1.4.1-1
- Update to 1.4.1

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 1.4.0-1
- Revert "Update to 1.4.1"

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> - 1.4.1-1
- Update to 1.4.1

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.4.0-2
- Rebuilt for Python 3.10

* Thu Jun 03 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Wed Apr 21 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Sun Mar 21 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.15-1
- Update to 1.2.15

* Mon Feb 15 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.14-1
- Update to 1.2.14

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 25 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.12-1
- Update to 1.2.12

* Fri Dec 11 2020 Jeff Law <law@redhat.com> - 1.2.11-2
- Fix prototype/definition mismatch caught by gcc-11

* Fri Oct 02 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.11-1
- Update to 1.2.11

* Tue Aug 18 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.10-1
- Update to 1.2.10

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 07 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.9-1
- Update to 1.2.9

* Sun May 31 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.8-2
- Rebuild for Python 3.9

* Fri May 29 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2.8-1
- First import
